<template>
	<view>
		<view class="tabs-view">
			<view class='btn' @click="add">
				<!-- <u-button type="primary" size="mini" @click="edit">+</u-button> -->
				+
			</view>	
			<view class="keyword-view clearfix">
				<view class="float_left">
					<u-search
						:show-action="false"
						@clear="searchData()"
						@search="searchData()"
						:clearabled="true"
						placeholder="单号/操作人"
						v-model="search_form.no"
					></u-search>
				</view>
				<view class="float_right" @click="openSel('search_show')"><text class="custom-icon custom-icon-shaixuan"></text></view>
			</view>			
		</view>
		<view class="list-ul">
			<view class="list-li clearfix" v-for="(item, index) in outgoing_list" :key="index">
				<view class="title clearfix" @click="details(item.id)">
					<view class="float_left" style="font-size: 28rpx;font-weight: 700;">{{ item.name || '--' }}</view>
					<view class="float_right">
						<span v-if="item.enableStatus === 5" class="success-status">启用</span>
						<span v-else class=" warning-status">禁用</span>
						<text class="custom-icon custom-icon-jinru"></text>
					</view>
				</view>
				<view class="list-cont">				
					<view class="list-cont-li">日期：{{ $u.timeFormat(item.createTime, 'yyyy-mm-dd') }}</view>					
					<view class="list-cont-li clearfix">账户号：{{ item.accountNumber }}</view>
					<view class="list-cont-li clearfix">账户编码：{{ item.accountCode }}</view>					
				</view>
			</view>
			<u-popup v-model="search_show" mode="right">
				<view class="search-pop">
					<view class="form-view">
						<u-form label-width="160rpx" label-position="left">
							<u-form-item label-position="top" label="制单日期">
								<view class="date-li">
									<picker mode="date" @change="bindDateStartChange">
										<text class="date-li">{{ search_form.startTime ? $u.timeFormat(search_form.startTime, 'yyyy-mm-dd') : '开始日期' }}</text>
									</picker>
								</view>
								<view class="date-line">-</view>
								<view class="date-li">
									<picker mode="date" @change="bindDateEndChange">
										<text class="date-li">{{ search_form.endTime ? $u.timeFormat(search_form.endTime, 'yyyy-mm-dd') : '结束日期' }}</text>
									</picker>
								</view>
							</u-form-item>							
						<!-- 	<u-form-item label-position="top" label="审核状态">
								<view style="font-size: 22rpx; color: #6c6c6c;">可多选</view>
								<text
									v-for="(item, index) in order_status"
									:key="index"
									class="check-li"
									:class="[search_form.auditStatus.indexOf(item.value) > -1 ? 'active' : '']"
									@click="statusChange(item)"
								>
									{{ item.label }}
								</text>
							</u-form-item> -->
						</u-form>
					</view>

					<view class="search-btn">
						<view class="btn-li" @click="clearValue()">重置</view>
						<view class="btn-li" @click="searchConfirm">确定</view>
					</view>
				</view>
			</u-popup>
			<view v-if="!outgoing_list.length" class="empty-view"><u-empty text="暂无数据" mode="list"></u-empty></view>
			<u-loadmore v-if="outgoing_list.length" :status="load_status" />
		</view>
	</view>
</template>
<script>
export default {
	data() {
		return {
			search_show: false,
			order_status: [{ value: 5, label: '禁用' }, { value: 4, label: '启用' }],			
			load_status: 'nomore',
			tabs_current: 0,
			page: 1,
			pageSize: 10,
			total: 0,			
			search_form: {
				no:"",
				shopId: '',
				shopName: '',
				auditStatus: [],
				goodsName: '', // 商品名称
				warehouseId: '', // 仓库id
				startTime: '', // 制单开始时间
				endTime: '' // 制单结束时间
			},
			warehouse_name: '',
			outgoing_list: [],
			werahouseData: ''
		};
	},
	watch: {
		werahouseData(val) {
			if (val) {
				this.search_form.warehouseId = val.id;
				this.warehouse_name = val.warehouseName;
			}
		}
	},	
	onShow() {
		this.getAllAccount();
	},
	onReachBottom() {
		if (this.total / this.pageSize > this.page) {
			this.page += 1;
			this.getData();
		}
	},
	onPullDownRefresh() {
		this.searchData(); 
	},
	methods: {
		details(id){
			uni.navigateTo({
				url:'/pagesT/account/AccountDetails?id='+id							
			})
		},
		add(){
		 uni.navigateTo({
		 	url:'/pagesT/account/AddAcount'				
		 })
		},	
		openSel(key) {
			this[key] = true;
		},
		bindDateStartChange(e) {
			this.search_form.startTime = this.$utils.timeByTimestamp(e.detail.value + ' 00:00:00');
		},
		bindDateEndChange(e) {
			this.search_form.endTime = this.$utils.timeByTimestamp(e.detail.value + ' 23:59:59');
		},
		// 审核状态切换
		statusChange(row) {
			const index = this.search_form.auditStatus.indexOf(row.value);
			if (index === -1) {
				this.search_form.auditStatus.push(row.value);
			} else {
				this.search_form.auditStatus.splice(index, 1);
			}
		},
		// 搜索确定
		searchConfirm() {
			this.search_show = false;
			this.searchData();
		},
		// 重置搜索
		clearValue(params) {
			if (!params) {
				this.search_form = {
					shopId: '',
					shopName: '',
					auditStatus: '',
					goodsName: '', // 商品名称
					warehouseId: '', // 仓库id
					startTime: '', // 制单开始时间
					endTime: '' // 制单结束时间
				};
				this.searchConfirm();
			} else {
				this.search_form[params] = '';
			}
		},	
		getAllAccount() {
			this.load_status = 'loading';
			this.$u.api
				.getAllAccount({					
					start:this.search_form.startTime,
					end:this.search_form.endTime,
					page: this.page,
					pageSize: this.pageSize,					
				})
				.then(res => {
					console.log(res.data)
					if (this.page === 1) {
						this.outgoing_list = res.data;
					} else {
						this.outgoing_list = this.outgoing_list.concat(res.data);
					}
					this.total = res.pageTotal;
					this.load_status = this.$utils.loadStatus(this.page, this.pageSize, this.total);
				});
		},	
		//  判断
		getData() {
			this.getAllAccount();		
		},
		searchData() {
			this.page = 1;
			this.getData();
		}
	}
};
</script>

<style lang="scss" scoped>
.tabs-view {
	position: fixed;
	width: 100%;
	top: 0;
	left: 0;
	z-index: 99;
	.btn{
		width: 70rpx;
		height: 70rpx;
		position: fixed;
		bottom: 50rpx;
		right: 35rpx;
		border-radius: 50%;
		background-color: #2979FF;
		text-align: center;
		color: #FFFFFF;
		vertical-align: middle;
		font-size: 49rpx;
		box-shadow: 0px 9rpx 76rpx 0px rgba(3, 122, 255, 0.55);
	}
	.keyword-view {
		padding: 20rpx 24rpx 0;
		background-color: #ffffff;
		z-index: 9;
padding-bottom: 20rpx;
		.float_left {
			width: 640rpx;
		}

		.float_right {
			line-height: 64rpx;
			width: 50rpx;
			text-align: center;
			color: #666666;
		}
	}
}
.list-ul {
	padding-top: 100rpx;
	.list-li {
		width: 710rpx;
		margin: 20rpx auto;
		padding: 0 24rpx 20rpx;
		background-color: #ffffff;
		padding-bottom: 20rpx;
		border-radius: 20rpx;
		.title {
			line-height: 80rpx;
			border-bottom: 1px solid #eeeeee;
			.float_left {
				font-weight: bold;
			}
			.float_rigth {
				.custom-icon-jinru {
					margin-left: 10rpx;
					font-size: 28rpx;
				}
			}
		}
		.list-cont {
			margin-top: 10rpx;
			position: relative;
			.price {
				position: absolute;
				top: 50%;
				transform: translateY(-50%);
				right: 0;
				font-weight: bold;
				color: $uni-color-error;
				.custom-icon-jinru {
					font-size: 28rpx;
					color: #6c6c6c;
					font-weight: 400;
				}
			}
			.list-cont-li {
				line-height: 40rpx;
				font-size: 24rpx;
				color: #666666;
				.mobile {
					color: $uni-color-primary;
				}
			}
		}
	}
}
</style>
